Subject: bug#2957 closed by Stefan Monnier <[email-masked]> (Re: bug#2957: 23.0.92; ucs-insert: Completion does not work correctly)

From: [email-masked] (Emacs bug Tracking System)
Date: Tue, 14 Apr 2009 02:45:05 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#2957: 23.0.92; ucs-insert: Completion does not work correctly with Unicode  Character Name Input

It has been closed by Stefan Monnier <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Stefan Monnier <[email-masked]> by
replying to this email.

-- 
2957: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2957
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#2957: 23.0.92; ucs-insert: Completion does not work correctly
From: Stefan Monnier <[email-masked]>
To: Ashutosh Mehra <[email-masked]>
Cc: Andreas Schwab <[email-masked]>, [email-masked]
Date: Mon, 13 Apr 2009 22:39:07 -0400

> Yes, any normal character would get inserted (but not SPC). Sorry for
> the ambiguity.

Thanks.

> Also, I have to confess, I never noticed that partial completion
> inserted an extra space in the middle of "GREEK LETTER ALPHA" for me
> to type in CAPITAL/SMALL.

No need to confess.

> Stefan, I have emacs pretest 23.0.92.1, and could not apply your patch
> cleanly (~170 lines appear to have been added in your
> lisp/minibuffer.el before the first hunk, and the "string-match" was
> "string-match-p" in my version of minibuffer.el).  So, I applied the
> changes manually, but the original behavior persisted.  Emacs doesn't
> let me type a SPC (unless I use C-q SPC) after the partial input
> "GREEK LETTER ALPHA".  I will anyway try out the coming pretests.

Thanks for going through the trouble.
The file is precompiled, so you'd need to rebuild Emacs (or to use
M-C-x to reevaluate the definition) to see the difference.
I've installed my patch, so it should be fixed in the next pretest.
If not, please reopen the bug.

        Stefan

Subject: 23.0.92; ucs-insert: Completion does not work correctly with Unicode Character Name Input
From: Ashutosh Mehra <[email-masked]>
To: [email-masked]
Date: Sat, 11 Apr 2009 08:22:13 +0530

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

BUG DESCRIPTION:
When I type the following:
C-x 8 RET greek letter alpha
and press TAB, I get several choices for the greek letter alpha
variants. But I'm unable to type anything into the minibuffer (neither
SPC nor any character) -- Emacs just doesn't accept the input. If I
press RET at this point, I get the error message "ucs-insert: Not a
Unicode character code: nil".
I tried with "emacs -Q" (no init files), and I still get this
incorrect behavior.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
d:/Progs/emacs/etc/DEBUG for instructions.

In GNU Emacs 23.0.92.1 (i386-mingw-nt5.1.2600)
 of 2009-03-31 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x C-g C-x 8 <return> g r e e k SPC l e <tab> <tab>
a l p <tab> <tab> SPC SPC SPC w <tab> <tab> <backspace>
<tab> <tab> <return> M-x r e p o r t - e m <tab> <
return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Quit
Loading Unicode character names...done
Making completion list... [6 times]
ucs-insert: Not a Unicode character code: nil